Skip to content
Start here

List namespaces

client.KV.Namespaces.List(ctx, params) (*V4PagePaginationArray[Namespace], error)
GET/accounts/{account_id}/storage/kv/namespaces

Lists Workers KV namespaces owned by the specified account. Use page and per_page to select a page of results, and order and direction to control sorting.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Workers KV Storage WriteWorkers KV Storage Read
ParametersExpand Collapse
params NamespaceListParams
AccountID param.Field[string]

Path param: ID of the Cloudflare account that owns the Workers KV namespaces.

maxLength32
Direction param.Field[NamespaceListParamsDirection]Optional

Query param: Sort namespaces in ascending (asc) or descending (desc) order.

const NamespaceListParamsDirectionAsc NamespaceListParamsDirection = "asc"
const NamespaceListParamsDirectionDesc NamespaceListParamsDirection = "desc"
Order param.Field[NamespaceListParamsOrder]Optional

Query param: Namespace field to sort by (id or title).

const NamespaceListParamsOrderID NamespaceListParamsOrder = "id"
const NamespaceListParamsOrderTitle NamespaceListParamsOrder = "title"
Page param.Field[float64]Optional

Query param: Page number of paginated results.

minimum1
PerPage param.Field[float64]Optional

Query param: Maximum number of results per page.

maximum1000
minimum1
ReturnsExpand Collapse
type Namespace struct{…}
ID string

ID of the Workers KV namespace.

maxLength32
Title string

Human-readable string name for a Workers KV namespace.

maxLength512
Jurisdiction NamespaceJurisdictionOptional

Specify the jurisdiction to restrict the KV namespace to durably store data within. Can only be set at namespace creation time.

One of the following:
const NamespaceJurisdictionEu NamespaceJurisdiction = "eu"
const NamespaceJurisdictionFedramp NamespaceJurisdiction = "fedramp"
const NamespaceJurisdictionUs NamespaceJurisdiction = "us"
Mode NamespaceModeOptional

The mode of the Workers KV namespace. Specify instant when creating a namespace to create a KV Instant namespace. Omit this field when creating a namespace to create a classic namespace. Currently, instant is the only supported explicit value.

SupportsURLEncoding boolOptional

True if keys written on the URL will be URL-decoded before storing. For example, if set to “true”, a key written on the URL as “%3F” will be stored as ”?”.

List namespaces

package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/kv"
  "github.com/cloudflare/cloudflare-go/option"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  page, err := client.KV.Namespaces.List(context.TODO(), kv.NamespaceListParams{
    AccountID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"),
  })
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", page)
}
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": [
    {
      "id": "0f2ac74b498b48028cb68387c421e279",
      "title": "My Own Namespace",
      "jurisdiction": "eu",
      "mode": "instant",
      "supports_url_encoding": true
    }
  ],
  "result_info": {
    "count": 1,
    "page": 1,
    "per_page": 20,
    "total_count": 2000
  }
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": [
    {
      "id": "0f2ac74b498b48028cb68387c421e279",
      "title": "My Own Namespace",
      "jurisdiction": "eu",
      "mode": "instant",
      "supports_url_encoding": true
    }
  ],
  "result_info": {
    "count": 1,
    "page": 1,
    "per_page": 20,
    "total_count": 2000
  }
}